#
# Copyright (C) 2020 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# Don't search for additional CPPLINT.cfg in parent directories.
set noparent

# Limit line length.
linelength=100

# Ignore the following categories of errors, as specified by the filter:
# (the filter settings are concatenated together)
# Because we use #include <threads> and <mutex>
filter=-build/c++11

# Do not enforce including header files in both .h and .cpp.
filter=-build/include

# Do not check access modifier indentation.
# CPPLint enforces +1, but our rule is no indentation.
filter=-whitespace/indent

# pragma once is used pervasively in Android
filter=-build/header_guard
